using System;
using System.Collections.Generic;
using System.Text;
using BazaZamowien.PREMIEDataSetTableAdapters;

namespace BazaZamowien.Classes
{
    class PremieMail
    {
        public static void initMailForm(MailForm form, int IDEpremia)
         {
            PREMIE2TableAdapter adapter = new PREMIE2TableAdapter();
            adapter.Connection.ConnectionString = ConnString.getConnString().PremieConnStr;
            PREMIEDataSet.PREMIE2DataTable table = adapter.GetDataByID(IDEpremia);
            PREMIEDataSet.PREMIE2Row row = table[0];
                        
            form.odTextBox.Text = "Dyrekcja Commercial Travellers";
            form.odEmailTextBox.Text = User.getUser().Email;
            form.doWiadomosciTextBox.Text = User.getUser().Email;

            decimal premia = Convert.ToDecimal(row["netto"]);

            if (premia > 0) {
                form.tematTextBox.Text = "PREMIA";
                form.trescTextBox.Lines = new string[] {"Gratuluję","",
                    "Jest mi niezmiernie miło poinformować, że z uwagi na",
                    "<<<OPIS>>> w miesiacu <<<ROK>>>.<<<MIESIAC>>> ",
                    "przeznałem ci premie w wysokości Brutto=<<<BRUTTO>>>.","",
                    "Życzę jak najlepszych wyników i zadowolenia z pracy w " + DateTime.Today.Year + " roku!"};
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<OPIS>>>", row.OPIS);
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<ROK>>>", row.ROK.ToString());
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<MIESIAC>>>", row.MIESIAC.ToString());
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<BRUTTO>>>", String.Format("{0:C}",row.BRUTTO));
            }
            else
            {
                form.tematTextBox.Text = "Potrącenie premii";
                form.trescTextBox.Lines = new string[]{ "Potrącenie premii","",
                    "Agencja Akwizycji Commercial Travellers z informuje Panią/Pana <<<OSOBA>>>, ",
                    "że w <<<ROK>>>.<<<MIESIAC>>> z powodu  ",
                    "\"<<<OPIS>>>\" bylismy zmuszeni potrącić kwotę Netto=<<<NETTO>>>, Brutto=<<<BRUTTO>>>.","",
                    "Mam nadzieję, że robimy to po raz ostatni ..."};
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<OSOBA>>>", row.NAME);                
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<OPIS>>>", row.OPIS);
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<ROK>>>", row.ROK.ToString());
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<MIESIAC>>>", row.MIESIAC.ToString());
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<BRUTTO>>>", String.Format("{0:C}",row.BRUTTO));
                form.trescTextBox.Text = form.trescTextBox.Text.Replace("<<<NETTO>>>", String.Format("{0:C}",row.NETTO));
            }
            
            
            BoundItem item = new BoundItem(PremieUtils.podajMailaPracownika(Convert.ToInt32(row.IDEPracownika)),row.NAME);
                        
            form.doComboBox.Items.Add(item);
            form.doComboBox.SelectedItem = item;
        }
    }
}
